import random
import sys

# MAXN = int(sys.argv[1])
MAXV = 1000000.

print ' '.join(map(str, [MAXV * random.random() for i in xrange(2)]))
N = 100000 # random.randint(MAXN*9/10, MAXN)
print N
for i in xrange(N):
    print random.random() * MAXV, random.choice("AB")
